{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.TEST"
  },
  "caption" : "测试实体",
  "codeName" : "TESTMobTreeView",
  "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDEVIEWS/TESTMobTreeView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "TESTMobTreeView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "MobTreeView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "testSearchBar",
    "controlStyle" : "testsearchbarplugin",
    "controlType" : "SEARCHBAR",
    "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSSEARCHBARS/testSearchBar.json",
    "groupMoreText" : "更多分组",
    "logicName" : "搜索栏（Test）",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "SEARCHBAR"
    },
    "getPSSearchBarFilters" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFSFITEM.TEST.N_TYPE_LIKE"
      },
      "caption" : "filter标题",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "filter",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "getPSDEFSearchMode" : {
        "codeName" : "N_TYPE_LIKE",
        "name" : "N_TYPE_LIKE",
        "stdDataType" : 25,
        "valueOP" : "LIKE"
      },
      "getPSEditor" : {
        "editorType" : "MOBTEXT",
        "name" : "filter"
      },
      "allowEmpty" : true,
      "convertToCodeItemText" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "COMMON.COMMON.TEST"
      },
      "caption" : "类型",
      "dataType" : 25,
      "itemType" : "FILTER",
      "getLabelPSSysCss" : {
        "cssName" : "bg-blue"
      },
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "type",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "getPSDEFSearchMode" : {
        "codeName" : "N_TYPE_EQ",
        "name" : "N_TYPE_EQ",
        "stdDataType" : 25,
        "valueOP" : "EQ"
      },
      "getPSEditor" : {
        "editorParams" : {
          "aaaa" : "bbbb",
          "SRFNAVCTX.srfusername" : "%srfusername%",
          "SRFNAVPARAM.size" : "33"
        },
        "editorType" : "DROPDOWNLIST",
        "name" : "type",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPCODELISTS/Test__TestType.json"
        },
        "getPSNavigateContexts" : [ {
          "key" : "SRFUSERNAME",
          "name" : "SRFUSERNAME",
          "value" : "srfusername",
          "rawValue" : false
        } ],
        "getPSNavigateParams" : [ {
          "key" : "size",
          "name" : "size",
          "value" : "33",
          "rawValue" : true
        } ],
        "placeHolder" : "请选择输入",
        "singleSelect" : true
      },
      "getPSSysCss" : {
        "cssName" : "bg-blue"
      },
      "getPSSysImage" : {
        "cssClass" : "fa-solid fa-paste"
      },
      "width" : 200.0,
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "needCodeListConfig" : true,
      "showCaption" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFSFITEM.TEST.N_TESTNAME_LIKE"
      },
      "caption" : "标题（名称）",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "testname",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      },
      "getPSDEFSearchMode" : {
        "codeName" : "N_TESTNAME_LIKE",
        "name" : "N_TESTNAME_LIKE",
        "stdDataType" : 25,
        "valueOP" : "LIKE"
      },
      "getPSEditor" : {
        "editorType" : "MOBTEXT",
        "name" : "testname"
      },
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    }, {
      "caption" : "属性",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "field",
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      },
      "getPSEditor" : {
        "editorType" : "MOBTEXT",
        "name" : "field"
      },
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false,
      "getUserParam" : {
        "ITEMTYPE" : "SIMPLE"
      }
    }, {
      "caption" : "自定义2",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "n_custom_eq",
      "getPSEditor" : {
        "editorType" : "MOBTEXT",
        "name" : "n_custom_eq"
      },
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false,
      "getUserParam" : {
        "ITEMTYPE" : "HIDDEN"
      }
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFSFITEM.TEST.N_CREATEMAN_EQ"
      },
      "caption" : "创建人",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "createman",
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "getPSDEFSearchMode" : {
        "codeName" : "N_CREATEMAN_EQ",
        "name" : "N_CREATEMAN_EQ",
        "stdDataType" : 25,
        "valueOP" : "EQ"
      },
      "getPSEditor" : {
        "editorParams" : {
          "aaaa" : "bbbb",
          "SRFNAVCTX.srfusername" : "%srfusername%",
          "SRFNAVPARAM.size" : "33",
          "AC" : "TRUE",
          "PICKUPVIEW" : "TRUE"
        },
        "editorType" : "PICKER",
        "name" : "createman",
        "getPSNavigateContexts" : [ {
          "key" : "SRFUSERNAME",
          "name" : "SRFUSERNAME",
          "value" : "srfusername",
          "rawValue" : false
        } ],
        "getPSNavigateParams" : [ {
          "key" : "size",
          "name" : "size",
          "value" : "33",
          "rawValue" : true
        } ],
        "valueItemName" : "createmaeeee",
        "enableAC" : true,
        "enablePickupView" : true,
        "forceSelection" : true,
        "showTrigger" : true,
        "singleSelect" : true
      },
      "valueItemName" : "createmaeeee",
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    } ],
    "getPSSearchBarGroups" : [ {
      "caption" : "分组1",
      "itemType" : "GROUP",
      "name" : "group1",
      "width" : 0.0,
      "addSeparator" : false
    }, {
      "caption" : "分组2",
      "itemType" : "GROUP",
      "name" : "group2",
      "width" : 0.0,
      "addSeparator" : false,
      "defaultGroup" : true
    }, {
      "caption" : "分组3",
      "itemType" : "GROUP",
      "name" : "group3",
      "width" : 0.0,
      "addSeparator" : false
    }, {
      "caption" : "分组444444444444444444444444",
      "itemType" : "GROUP",
      "name" : "group4444444444",
      "width" : 0.0,
      "addSeparator" : false
    }, {
      "caption" : "分组55555555555555555",
      "itemType" : "GROUP",
      "name" : "group5555555555",
      "width" : 0.0,
      "addSeparator" : false
    } ],
    "getPSSearchBarQuickSearchs" : [ {
      "itemType" : "QUICKSEARCH",
      "name" : "testname1",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "itemType" : "QUICKSEARCH",
      "name" : "updateman",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    } ],
    "getPSSysPFPlugin" : {
      "pluginType" : "SEARCHBAR_RENDER",
      "pluginCode" : "testsearchbarplugin"
    },
    "quickGroupCount" : 2,
    "quickSearchMode" : 2,
    "quickSearchWidth" : 0,
    "searchBarStyle" : "SEARCHBAR",
    "enableFilter" : true,
    "enableGroup" : true,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false,
    "name" : "searchbar",
    "modelid" : "7BEE5399-A0C8-429E-865D-936279D7911D",
    "modeltype" : "PSSYSSEARCHBAR"
  }, {
    "codeName" : "MobTreeViewrighttoolbar",
    "controlType" : "TOOLBAR",
    "name" : "righttoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "RIGHTTOOLBAR"
    },
    "xDataControlName" : "tree",
    "modelid" : "5b0adc6008e49c23a960417dc8b3d9f3_righttoolbar",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "TestTreeView_TreeView",
    "controlType" : "TREEVIEW",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST/PSTREEVIEWS/TestTreeView_TreeView.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "logicName" : "测试树视图_树视图",
    "getPSAppCounterRef" : {
      "modelref" : true,
      "id" : "5c4f953a4244f433a1511bce64b1f3fb"
    },
    "getPSAppCounterRefs" : [ {
      "getPSAppCounter" : {
        "codeName" : "Test__Custom",
        "counterType" : "DEDR",
        "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPCOUNTERS/Test__Custom.json",
        "getGetPSAppDEAction" : {
          "modelref" : true,
          "id" : "Counter"
        },
        "name" : "自定义计数器",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSSysPFPlugin" : {
          "pluginType" : "APPCOUNTER",
          "pluginCode" : "index2CustomCounterId"
        },
        "timer" : 10000,
        "uniqueTag" : "Test__Custom"
      },
      "tag" : "5c4f953a4244f433a1511bce64b1f3fb",
      "uniqueTag" : "Test__Custom",
      "id" : "5c4f953a4244f433a1511bce64b1f3fb"
    } ],
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "树视图处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "TREEVIEW"
    },
    "getPSControls" : [ {
      "codeName" : "MobTreeViewnode1_cm",
      "controlType" : "CONTEXTMENU",
      "logicName" : "树上下文菜单",
      "name" : "node1_cm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : {
        "id" : "node1_cm"
      },
      "getPSDEToolbarItems" : [ {
        "buttonStyle" : "DANGER",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "node1_cm_deuiaction1"
        },
        "getPSControlLogics" : [ {
          "itemName" : "deuiaction1",
          "logicTag" : "node1_cm",
          "logicType" : "SCRIPT",
          "name" : "logic11",
          "scriptCode" : "true",
          "triggerType" : "ITEMVISIBLE"
        } ],
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "buttonStyle" : "DANGER",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作_危险样式",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "编辑",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "itemType" : "SEPERATOR",
        "name" : "seperator1"
      }, {
        "caption" : "二级",
        "itemType" : "ITEMS",
        "name" : "items1",
        "getPSDEToolbarItems" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "node1_cm_deuiaction2"
          },
          "getPSControlLogics" : [ {
            "itemName" : "deuiaction2",
            "logicTag" : "node1_cm",
            "logicType" : "SCRIPT",
            "name" : "logic222",
            "scriptCode" : "false",
            "triggerType" : "ITEMENABLE"
          } ],
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "删除",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionTarget" : "MULTIKEY",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "itemType" : "SEPERATOR",
          "name" : "seperator2"
        }, {
          "caption" : "三级",
          "itemType" : "ITEMS",
          "name" : "items2",
          "getPSDEToolbarItems" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction4",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "node1_cm_deuiaction4"
            },
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "删除",
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionTarget" : "MULTIKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "buttonStyle" : "WARNING",
            "caption" : "百度",
            "counterId" : "openBaidu",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction5",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "node1_cm_deuiaction5"
            },
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "buttonStyle" : "WARNING",
              "caption" : "百度",
              "codeName" : "openBaidu",
              "counterId" : "openBaidu",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "openBaidu",
              "htmlPageUrl" : "https://www.baidu.com/",
              "name" : "百度_警告样式",
              "getPSAppCounter" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Mob/PSAPPCOUNTERS/UIActionCounter.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openBaidu",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "百度",
            "uIActionTarget" : "NONE",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "tooltip" : "三级",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "刷新",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction3",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "node1_cm_deuiaction3"
          },
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "getPSUIAction" : {
            "caption" : "刷新",
            "codeName" : "RefreshParent",
            "fullCodeName" : "RefreshParent",
            "name" : "树界面_刷新父节点操作",
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "predefinedType" : "TREEVIEW_REFRESHPARENTACTION",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "RefreshParent",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "刷新",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "tooltip" : "二级",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "contentType" : "RAW",
        "itemType" : "RAWITEM",
        "name" : "rawitem1",
        "getPSRawItem" : {
          "caption" : "直接内容",
          "contentType" : "RAW",
          "name" : "rawitem1"
        },
        "rawContent" : "直接内容",
        "showCaption" : true
      } ],
      "modelid" : "EE623BDE-0681-469C-BCA1-EA55F25E3732",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "codeName" : "MobTreeViewnode3_cm",
      "controlType" : "CONTEXTMENU",
      "logicName" : "树上下文菜单",
      "name" : "node3_cm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : {
        "id" : "node3_cm"
      },
      "getPSDEToolbarItems" : [ {
        "buttonStyle" : "DANGER",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "node3_cm_deuiaction1"
        },
        "getPSControlLogics" : [ {
          "itemName" : "deuiaction1",
          "logicTag" : "node3_cm",
          "logicType" : "SCRIPT",
          "name" : "logic11",
          "scriptCode" : "true",
          "triggerType" : "ITEMVISIBLE"
        } ],
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "buttonStyle" : "DANGER",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作_危险样式",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "编辑",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "itemType" : "SEPERATOR",
        "name" : "seperator1"
      }, {
        "caption" : "二级",
        "itemType" : "ITEMS",
        "name" : "items1",
        "getPSDEToolbarItems" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "node3_cm_deuiaction2"
          },
          "getPSControlLogics" : [ {
            "itemName" : "deuiaction2",
            "logicTag" : "node3_cm",
            "logicType" : "SCRIPT",
            "name" : "logic222",
            "scriptCode" : "false",
            "triggerType" : "ITEMENABLE"
          } ],
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "删除",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionTarget" : "MULTIKEY",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "itemType" : "SEPERATOR",
          "name" : "seperator2"
        }, {
          "caption" : "三级",
          "itemType" : "ITEMS",
          "name" : "items2",
          "getPSDEToolbarItems" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction4",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "node3_cm_deuiaction4"
            },
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "删除",
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionTarget" : "MULTIKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "buttonStyle" : "WARNING",
            "caption" : "百度",
            "counterId" : "openBaidu",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction5",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "node3_cm_deuiaction5"
            },
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "buttonStyle" : "WARNING",
              "caption" : "百度",
              "codeName" : "openBaidu",
              "counterId" : "openBaidu",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "openBaidu",
              "htmlPageUrl" : "https://www.baidu.com/",
              "name" : "百度_警告样式",
              "getPSAppCounter" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Mob/PSAPPCOUNTERS/UIActionCounter.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openBaidu",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "百度",
            "uIActionTarget" : "NONE",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "tooltip" : "三级",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "刷新",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction3",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "node3_cm_deuiaction3"
          },
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "getPSUIAction" : {
            "caption" : "刷新",
            "codeName" : "RefreshParent",
            "fullCodeName" : "RefreshParent",
            "name" : "树界面_刷新父节点操作",
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "predefinedType" : "TREEVIEW_REFRESHPARENTACTION",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "RefreshParent",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "刷新",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "tooltip" : "二级",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "contentType" : "RAW",
        "itemType" : "RAWITEM",
        "name" : "rawitem1",
        "getPSRawItem" : {
          "caption" : "直接内容",
          "contentType" : "RAW",
          "name" : "rawitem1"
        },
        "rawContent" : "直接内容",
        "showCaption" : true
      } ],
      "modelid" : "EE623BDE-0681-469C-BCA1-EA55F25E3732",
      "modeltype" : "PSDETOOLBAR"
    } ],
    "getPSDEDataImport" : {
      "modelref" : true,
      "id" : "DataImport"
    },
    "getPSDETreeNodeRSs" : [ {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "node1"
      },
      "name" : "默认根节点 - 静态1",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "ROOT"
      },
      "parentValueLevel" : 1,
      "searchMode" : 2
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "node3"
      },
      "name" : "静态2 - 动态集合",
      "getPSNavigateParams" : [ {
        "key" : "n_type_eq",
        "name" : "n_type_eq",
        "value" : "B",
        "rawValue" : true
      } ],
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "noDe2"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "node3"
      },
      "name" : "静态1 - 动态集合",
      "getPSNavigateParams" : [ {
        "key" : "n_type_eq",
        "name" : "n_type_eq",
        "value" : "A",
        "rawValue" : true
      } ],
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "node1"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "noDe2"
      },
      "name" : "默认根节点 - 静态2",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "ROOT"
      },
      "parentValueLevel" : 1,
      "searchMode" : 2
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "codeList"
      },
      "name" : "默认根节点 - 动态代码表",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "ROOT"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    } ],
    "getPSDETreeNodes" : [ {
      "counterMode" : 0,
      "name" : "默认根节点",
      "nodeType" : "ROOT",
      "nodeValue" : "root",
      "text" : "默认根节点",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : true,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "ROOT"
    }, {
      "accUserMode" : 4,
      "accessKey" : "MODULE_ONE",
      "counterId" : "num3",
      "counterMode" : 0,
      "name" : "动态代码表",
      "nodeType" : "codeList",
      "getPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPCODELISTS/Test__TestAll.json"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "treeNodeType" : "CODELIST",
      "hasPSDETreeNodeRSs" : false,
      "allowOrder" : true,
      "appendCaption" : false,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : true,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "codeList"
    }, {
      "accUserMode" : 4,
      "accessKey" : "MODULE_ONE",
      "counterId" : "num1",
      "counterMode" : 0,
      "name" : "静态2",
      "nodeType" : "noDe2",
      "text" : "静态2",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "allowDrag" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "noDe2"
    }, {
      "counterId" : "zero",
      "counterMode" : 1,
      "name" : "静态1",
      "nodeType" : "node1",
      "getPSDEContextMenu" : {
        "codeName" : "MobTreeViewnode1_cm",
        "controlType" : "CONTEXTMENU",
        "logicName" : "树上下文菜单",
        "name" : "node1_cm",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : {
          "id" : "node1_cm"
        },
        "getPSDEToolbarItems" : [ {
          "buttonStyle" : "DANGER",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "node1_cm_deuiaction1"
          },
          "getPSControlLogics" : [ {
            "itemName" : "deuiaction1",
            "logicTag" : "node1_cm",
            "logicType" : "SCRIPT",
            "name" : "logic11",
            "scriptCode" : "true",
            "triggerType" : "ITEMVISIBLE"
          } ],
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "name" : "表格界面_编辑操作_危险样式",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "编辑",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionTarget" : "SINGLEKEY",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "itemType" : "SEPERATOR",
          "name" : "seperator1"
        }, {
          "caption" : "二级",
          "itemType" : "ITEMS",
          "name" : "items1",
          "getPSDEToolbarItems" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction2",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "node1_cm_deuiaction2"
            },
            "getPSControlLogics" : [ {
              "itemName" : "deuiaction2",
              "logicTag" : "node1_cm",
              "logicType" : "SCRIPT",
              "name" : "logic222",
              "scriptCode" : "false",
              "triggerType" : "ITEMENABLE"
            } ],
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "删除",
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionTarget" : "MULTIKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "itemType" : "SEPERATOR",
            "name" : "seperator2"
          }, {
            "caption" : "三级",
            "itemType" : "ITEMS",
            "name" : "items2",
            "getPSDEToolbarItems" : [ {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction4",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "node1_cm_deuiaction4"
              },
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "getPSUIAction" : {
                "actionTarget" : "MULTIKEY",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.REMOVE"
                },
                "caption" : "删除",
                "codeName" : "Remove",
                "fullCodeName" : "Remove",
                "name" : "表格界面_删除操作",
                "getPSSysImage" : {
                  "glyph" : "xf00d@FontAwesome",
                  "cssClass" : "fa fa-remove"
                },
                "predefinedType" : "GRIDVIEW_REMOVEACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Remove",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "删除",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionTarget" : "MULTIKEY",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "buttonStyle" : "WARNING",
              "caption" : "百度",
              "counterId" : "openBaidu",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction5",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "node1_cm_deuiaction5"
              },
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "buttonStyle" : "WARNING",
                "caption" : "百度",
                "codeName" : "openBaidu",
                "counterId" : "openBaidu",
                "frontProcessType" : "OPENHTMLPAGE",
                "fullCodeName" : "openBaidu",
                "htmlPageUrl" : "https://www.baidu.com/",
                "name" : "百度_警告样式",
                "getPSAppCounter" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Mob/PSAPPCOUNTERS/UIActionCounter.json"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "openBaidu",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "百度",
              "uIActionTarget" : "NONE",
              "showCaption" : true,
              "showIcon" : true
            } ],
            "tooltip" : "三级",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "刷新",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction3",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "node1_cm_deuiaction3"
            },
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "getPSUIAction" : {
              "caption" : "刷新",
              "codeName" : "RefreshParent",
              "fullCodeName" : "RefreshParent",
              "name" : "树界面_刷新父节点操作",
              "getPSSysImage" : {
                "glyph" : "xf021@FontAwesome",
                "cssClass" : "fa fa-refresh"
              },
              "predefinedType" : "TREEVIEW_REFRESHPARENTACTION",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "RefreshParent",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "刷新",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "tooltip" : "二级",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "contentType" : "RAW",
          "itemType" : "RAWITEM",
          "name" : "rawitem1",
          "getPSRawItem" : {
            "caption" : "直接内容",
            "contentType" : "RAW",
            "name" : "rawitem1"
          },
          "rawContent" : "直接内容",
          "showCaption" : true
        } ],
        "modelid" : "EE623BDE-0681-469C-BCA1-EA55F25E3732",
        "modeltype" : "PSDETOOLBAR"
      },
      "text" : "静态1",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "allowDrop" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "node1"
    }, {
      "accUserMode" : 4,
      "accessKey" : "MODULE_ONE",
      "getChildCntPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      },
      "counterId" : "num2",
      "counterMode" : 0,
      "dataSourceType" : "DEDATASET",
      "getIdPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      },
      "getLeafFlagPSAppDEField" : {
        "name" : "NUMBER1",
        "codeName" : "Number1"
      },
      "maxSize" : -1,
      "name" : "动态集合",
      "nodeType" : "node3",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSDEContextMenu" : {
        "codeName" : "MobTreeViewnode3_cm",
        "controlType" : "CONTEXTMENU",
        "logicName" : "树上下文菜单",
        "name" : "node3_cm",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlParam" : {
          "id" : "node3_cm"
        },
        "getPSDEToolbarItems" : [ {
          "buttonStyle" : "DANGER",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "node3_cm_deuiaction1"
          },
          "getPSControlLogics" : [ {
            "itemName" : "deuiaction1",
            "logicTag" : "node3_cm",
            "logicType" : "SCRIPT",
            "name" : "logic11",
            "scriptCode" : "true",
            "triggerType" : "ITEMVISIBLE"
          } ],
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "name" : "表格界面_编辑操作_危险样式",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "编辑",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionTarget" : "SINGLEKEY",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "itemType" : "SEPERATOR",
          "name" : "seperator1"
        }, {
          "caption" : "二级",
          "itemType" : "ITEMS",
          "name" : "items1",
          "getPSDEToolbarItems" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction2",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "node3_cm_deuiaction2"
            },
            "getPSControlLogics" : [ {
              "itemName" : "deuiaction2",
              "logicTag" : "node3_cm",
              "logicType" : "SCRIPT",
              "name" : "logic222",
              "scriptCode" : "false",
              "triggerType" : "ITEMENABLE"
            } ],
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "删除",
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionTarget" : "MULTIKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "itemType" : "SEPERATOR",
            "name" : "seperator2"
          }, {
            "caption" : "三级",
            "itemType" : "ITEMS",
            "name" : "items2",
            "getPSDEToolbarItems" : [ {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction4",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "node3_cm_deuiaction4"
              },
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "getPSUIAction" : {
                "actionTarget" : "MULTIKEY",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.REMOVE"
                },
                "caption" : "删除",
                "codeName" : "Remove",
                "fullCodeName" : "Remove",
                "name" : "表格界面_删除操作",
                "getPSSysImage" : {
                  "glyph" : "xf00d@FontAwesome",
                  "cssClass" : "fa fa-remove"
                },
                "predefinedType" : "GRIDVIEW_REMOVEACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Remove",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "删除",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionTarget" : "MULTIKEY",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "buttonStyle" : "WARNING",
              "caption" : "百度",
              "counterId" : "openBaidu",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction5",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "node3_cm_deuiaction5"
              },
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "buttonStyle" : "WARNING",
                "caption" : "百度",
                "codeName" : "openBaidu",
                "counterId" : "openBaidu",
                "frontProcessType" : "OPENHTMLPAGE",
                "fullCodeName" : "openBaidu",
                "htmlPageUrl" : "https://www.baidu.com/",
                "name" : "百度_警告样式",
                "getPSAppCounter" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Mob/PSAPPCOUNTERS/UIActionCounter.json"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "openBaidu",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "百度",
              "uIActionTarget" : "NONE",
              "showCaption" : true,
              "showIcon" : true
            } ],
            "tooltip" : "三级",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "刷新",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction3",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "node3_cm_deuiaction3"
            },
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "getPSUIAction" : {
              "caption" : "刷新",
              "codeName" : "RefreshParent",
              "fullCodeName" : "RefreshParent",
              "name" : "树界面_刷新父节点操作",
              "getPSSysImage" : {
                "glyph" : "xf021@FontAwesome",
                "cssClass" : "fa fa-refresh"
              },
              "predefinedType" : "TREEVIEW_REFRESHPARENTACTION",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "RefreshParent",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "刷新",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "tooltip" : "二级",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "contentType" : "RAW",
          "itemType" : "RAWITEM",
          "name" : "rawitem1",
          "getPSRawItem" : {
            "caption" : "直接内容",
            "contentType" : "RAW",
            "name" : "rawitem1"
          },
          "rawContent" : "直接内容",
          "showCaption" : true
        } ],
        "modelid" : "EE623BDE-0681-469C-BCA1-EA55F25E3732",
        "modeltype" : "PSDETOOLBAR"
      },
      "getTextPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      },
      "treeNodeType" : "DE",
      "hasPSDETreeNodeRSs" : false,
      "allowEditText" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : true,
      "expanded" : true,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "node3"
    } ],
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "treeGridMode" : 0,
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "enableRootSelect" : false,
    "outputIconDefault" : true,
    "rootVisible" : false,
    "name" : "treeview",
    "modelid" : "CC94B4C9-81F3-4BA8-BCD7-B0A2AE2ABD31",
    "modeltype" : "PSDETREEVIEW"
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "DE.LNAME.TEST"
    },
    "caption" : "测试实体",
    "codeName" : "MobTreeViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "MobTreeView",
  "getPSDEViewId" : "FEF77C5D-F1BD-46FC-A55B-1F6F718B7252",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEMOBTREEVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试实体移动端树视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.TEST.MOBTREEVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMOBTREEVIEW",
  "xDataControlName" : "tree",
  "xDataPSControl" : "视图[Test.TESTMobTreeView]无法获取部件[tree]",
  "enableDP" : true,
  "enableFilter" : true,
  "enablePullDownRefresh" : false,
  "enableSearch" : true,
  "modelid" : "5b0adc6008e49c23a960417dc8b3d9f3",
  "modeltype" : "PSAPPDEVIEW"
}